%define name pyxine
%define ver 0.1alpha2
%define rel 2mdk

%define have_pre %(echo %ver|awk '{p=0} /[a-z,A-Z][a-z,A-Z]/ {p=1} {print p}')
%if %have_pre
%define version %(perl -e '$name="%ver"; print ($name =~ /(.*?)[a-z]/);')
%define release 0.alpha2.3mdk
%else
%define version %ver
%define release 0.alpha2.3mdk
%endif

Summary: 	Xine module for Python
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Source0: 	%{name}-%{ver}.tar.bz2
License:	GPL
Group: 		Development/Python
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Prefix: 	%{_prefix}
Url: 		http://%{name}.sourceforge.net
BuildRequires:	libxine-devel python-devel

%description
Pyxine is a Python package which provides Python bindings for
libxine, the backend of the xine media player (see http://xinehq.de/).

Using Pyxine, it is possible to write simple (or complex)
user-interfaces to xine.  This makes it much easier for one to
write custom xine UIs.

%prep
%setup -q -n %{name}-%ver

%build
env CFLAGS="$RPM_OPT_FLAGS" python setup.py build

%install
python setup.py install --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%defattr(-,root,root)
%doc ChangeLog LICENSE README TODO examples

%changelog
* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 0.1-0.alpha2.3mdk
- Rebuild for new python

* Wed Jun 30 2004 Michael Scherer <misc@mandrake.org> 0.1-0.alpha2.2mdk 
- rebuild for new gcc

* Tue Apr 21 2004 Buchan Milne <bgmilne@linux-mandrake.com> 0.1-0.alpha2.1mdk
- First Mandrake package
